public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1896093
@ 2026-06-29 12:29 
  0 siblings, 0 replies; only message in thread
From:  @ 2026-06-29 12:29 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/gcc
Branch : rhel-f41-base
Commit : 63133c7e37d19693188370dd378fc270d6edca71
Author : Václav Kadlčík <vkadlcik@redhat.com>
Date   : 2021-07-09T15:36:20+02:00
Stats  : +72/-0 in 2 file(s)
URL    : https://src.fedoraproject.org/rpms/gcc/c/63133c7e37d19693188370dd378fc270d6edca71?branch=rhel-f41-base

Log:
Import RHEL's regression test for #1896093

---
diff --git a/tests/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not/main.fmf b/tests/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not/main.fmf
new file mode 100644
index 0000000..c1da31b
--- /dev/null
+++ b/tests/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not/main.fmf
@@ -0,0 +1,16 @@
+summary: Test for BZ#1896093 (Compiling with -flto=auto fails if make is not)
+description: |
+    Bug summary: Compiling with -flto=auto fails if make is not installed
+    Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1896093
+contact: Alexandra Hájková <ahajkova@redhat.com>
+component:
+- gcc
+test: ./runtest.sh
+framework: beakerlib
+recommend:
+- gcc
+duration: 5m
+link:
+-   relates: https://bugzilla.redhat.com/show_bug.cgi?id=1896093
+extra-summary: /tools/gcc/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not
+extra-task: /tools/gcc/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not

diff --git a/tests/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not/runtest.sh b/tests/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not/runtest.sh
new file mode 100755
index 0000000..a23ce5c
--- /dev/null
+++ b/tests/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not/runtest.sh
@@ -0,0 +1,56 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /tools/gcc/Regression/bz1896093-Compiling-with-flto-auto-fails-if-make-is-not
+#   Description: Test for BZ#1896093 (Compiling with -flto=auto fails if make is not)
+#   Author: Alexandra Hájková <ahajkova@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc.
+#
+#   This program is free software: you can redistribute it and/or
+#   modify it under the terms of the GNU General Public License as
+#   published by the Free Software Foundation, either version 2 of
+#   the License, or (at your option) any later version.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE.  See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License
+#   along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="gcc"
+
+rlJournalStart
+    rlPhaseStartSetup
+        MAKE_WAS_PRESENT=false
+        rpm -q make &>/dev/null && MAKE_WAS_PRESENT=true
+        rlAssertRpm $PACKAGE
+        rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
+        rlRun "pushd $TmpDir"
+        rlRun "rpm -e --nodeps make" 0,1
+    rlPhaseEnd
+
+    rlPhaseStartTest
+        echo "void main() { }" | gcc -x c -flto=auto - &> log
+        rlAssertNotGrep "lto-wrapper: fatal error: execvp: No such file or directory" log
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        if $MAKE_WAS_PRESENT; then
+            rpm -q make &>/dev/null || rlRun "yum -y install make"
+        fi
+        rlRun "popd"
+        rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-06-29 12:29 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-29 12:29 [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1896093 

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox